/*

   Copyright 2006  The Apache Software Foundation 

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

 */
package org.apache.batik.css.engine;

/**
 * An interface for {@link org.w3c.dom.css.CSSStyleDeclaration} objects to
 * expose their underlying {@link StyleDeclaration} objects storing the
 * properties.
 *
 * @author <a href="mailto:cam%40mcc%2eid%2eau">Cameron McCormack</a>
 * @version $Id: StyleDeclarationProvider.java 384049 2006-03-07 23:14:08Z cam $
 */
public interface StyleDeclarationProvider {

    /**
     * Returns the object storing the properties of this style declaration.
     */
    StyleDeclaration getStyleDeclaration();

    /**
     * Sets the object storing the properties of this style declaration.
     */
    void setStyleDeclaration(StyleDeclaration sd);
}
